{ inputs, self, user, ...}: {
  imports = [ inputs.home-manager.nixosModules.home-manager ];
  home-manager = {
    useUserPackages = true;
    useGlobalPkgs= true;
    extraSpecialArgs = { inherit inputs user; };
    users.${user} = {
      imports = [
        ./editor/neovim
        ./programs/firefox
        ./programs/tmux
        ./zsh
        ./packages
	./hyprland/waybar.nix
      ];
      firefox.enable = true;
      tmux.enable = true;
      home = {
        username = "${user}";
        homeDirectory = "/home/${user}";
        stateVersion = "23.11";
      };
      programs.home-manager.enable = true;
    };
  };
}
